- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# CSpecialDigit Class Reference

special display with custom numbers (0...9) More...

`#include <vstcontrols.h>`

Inheritance diagram for CSpecialDigit:

List of all members.

## Public Member Functions
| CSpecialDigit (const CRect &size, CControlListener *listener, long tag, long dwPos, long iNumbers, long *xpos, long *ypos, long width, long height, CBitmap *background)
virtual | ~CSpecialDigit ()
virtual void | draw (CDrawContext *)
| called if the view should draw itself
virtual float | getNormValue (void) const
## Protected Attributes
long | iNumbers
long | xpos [7]
long | ypos [7]
long | width
long | height

## Detailed Description

special display with custom numbers (0...9)

Can be used to display a counter with maximum 7 digits. All digit have the same size and are stacked in height in the pixmap.

## Constructor & Destructor Documentation

CSpecialDigit::CSpecialDigit | ( | const CRect & | size,
|  | CControlListener * | listener,
|  | long | tag,
|  | long | dwPos,
|  | long | iNumbers,
|  | long * | xpos,
|  | long * | ypos,
|  | long | width,
|  | long | height,
|  | CBitmap * | background
| ) |

CSpecialDigit::~CSpecialDigit | ( |  | ) | `[virtual]`

## Member Function Documentation

void CSpecialDigit::draw | ( | CDrawContext * |  | ) | `[virtual]`

| called if the view should draw itself Implements CControl.

float CSpecialDigit::getNormValue | ( | void |  | ) | const`[virtual]`

## Member Data Documentation

long CSpecialDigit::height`[protected]`

long CSpecialDigit::iNumbers`[protected]`

long CSpecialDigit::width`[protected]`

long CSpecialDigit::xpos[7]`[protected]`

long CSpecialDigit::ypos[7]`[protected]`

The documentation for this class was generated from the following files:

- vstcontrols.h
- vstcontrols.cpp

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.